## rust-time-tz 2.0.0

=== tz/Makefile ===
# Make and install tzdb code and data.

# This file is in the public domain, so clarified as of
# 2009-05-17 by Arthur David Olson.

# Package name for the code distribution.
PACKAGE=	tzcode

# Version number for the distribution, overridden in the 'tarballs' rule below.
VERSION=	unknown

# Email address for bug reports.
BUGEMAIL=	tz@iana.org

# DATAFORM selects the data format.
# Available formats represent essentially the same data, albeit
# possibly with minor discrepancies that users are not likely to notice.
# To get new features and the best data right away, use:
#	DATAFORM=	vanguard
# To wait a while before using new features, to give downstream users
# time to upgrade zic (the default), use:
#	DATAFORM=	main
# To wait even longer for new features, use:
#	DATAFORM=	rearguard
# Rearguard users might also want "ZFLAGS = -b fat"; see below.
DATAFORM=		main

# Change the line below for your timezone (after finding the one you want in
# one of the $(TDATA) source files, or adding it to a source file).
# Alternatively, if you discover you've got the wrong timezone, you can just
# 'zic -l -' to remove it, or 'zic -l rightzone' to change it.
# Use the command
#	make zonenames
# to get a list of the values you can use for LOCALTIME.

LOCALTIME=	GMT

# The POSIXRULES macro controls interpretation of nonstandard and obsolete
# POSIX-like TZ settings like TZ='EET-2EEST' that lack DST transition rules.
# Such a setting uses the rules in a template file to determine
# "spring forward" and "fall back" days and times; the environment
# variable itself specifies UT offsets of standard and daylight saving time.
#
# If POSIXRULES is '-', no template is installed; this is the default.
#
# Any other value for POSIXRULES is obsolete and should not be relied on, as:
# * It does not work correctly in popular implementations such as GNU/Linux.
# * It does not work even in tzcode, except for historical timestamps
#   that precede the last explicit transition in the POSIXRULES file.
#   Hence it typically does not work for current and future timestamps.
# In short, software should avoid ruleless settings like TZ='EET-2EEST'
# and so should not depend on the value of POSIXRULES.
#
# If, despite the above, you want a template for handling these settings,
# you can change the line below (after finding the timezone you want in the
# one of the $(TDATA) source files, or adding it to a source file).
# Alternatively, if you discover you've got the wrong timezone, you can just
# 'zic -p -' to remove it, or 'zic -p rightzone' to change it.
# Use the command
#	make zonenames
# to get a list of the values you can use for POSIXRULES.

POSIXRULES=	-

# Also see TZDEFRULESTRING below, which takes effect only
# if the time zone files cannot be accessed.


# Installation locations.
#
# The defaults are suitable for Debian, except that if REDO is
# posix_right or right_posix then files that Debian puts under
# /usr/share/zoneinfo/posix and /usr/share/zoneinfo/right are instead
# put under /usr/share/zoneinfo-posix and /usr/share/zoneinfo-leaps,
# respectively.  Problems with the Debian approach are discussed in
# the commentary for the right_posix rule (below).

# Destination directory, which can be used for staging.
# 'make DESTDIR=/stage install' installs under /stage (e.g., to
# /stage/etc/localtime instead of to /etc/localtime).  Files under
# /stage are not intended to work as-is, but can be copied by hand to
# the root directory later.  If DESTDIR is empty, 'make install' does
# not stage, but installs directly into production locations.
DESTDIR =

# Everything is installed into subdirectories of TOPDIR, and used there.
# TOPDIR should be empty (meaning the root directory),
# or a directory name that does not end in "/".
# TOPDIR should be empty or an absolute name unless you're just testing.
TOPDIR =

# The default local timezone is taken from the file TZDEFAULT.
TZDEFAULT = $(TOPDIR)/etc/localtime

# The subdirectory containing installed program and data files, and
# likewise for installed files that can be shared among architectures.
# These should be relative file names.
USRDIR = usr
USRSHAREDIR = $(USRDIR)/share

# "Compiled" timezone information is placed in the "TZDIR" directory
# (and subdirectories).
# TZDIR_BASENAME should not contain "/" and should not be ".", ".." or empty.
TZDIR_BASENAME=	zoneinfo
TZDIR = $(TOPDIR)/$(USRSHAREDIR)/$(TZDIR_BASENAME)

# The "tzselect" and (if you do "make INSTALL") "date" commands go in:
BINDIR = $(TOPDIR)/$(USRDIR)/bin

# The "zdump" command goes in:
ZDUMPDIR = $(BINDIR)

# The "zic" command goes in:
ZICDIR = $(TOPDIR)/$(USRDIR)/sbin

# Manual pages go in subdirectories of. . .
MANDIR = $(TOPDIR)/$(USRSHAREDIR)/man

# Library functions are put in an archive in LIBDIR.
LIBDIR = $(TOPDIR)/$(USRDIR)/lib


# Types to try, as an alternative to time_t.
TIME_T_ALTERNATIVES = $(TIME_T_ALTERNATIVES_HEAD) $(TIME_T_ALTERNATIVES_TAIL)
TIME_T_ALTERNATIVES_HEAD = int_least64_t
TIME_T_ALTERNATIVES_TAIL = int_least32_t uint_least32_t uint_least64_t

# What kind of TZif data files to generate.  (TZif is the binary time
# zone data format that zic generates; see Internet RFC 8536.)
# If you want only POSIX time, with time values interpreted as
# seconds since the epoch (not counting leap seconds), use
#	REDO=		posix_only
# below.  If you want only "right" time, with values interpreted
# as seconds since the epoch (counting leap seconds), use
#	REDO=		right_only
# below.  If you want both sets of data available, with leap seconds not
# counted normally, use
#	REDO=		posix_right
# below.  If you want both sets of data available, with leap seconds counted
# normally, use
#	REDO=		right_posix
# below.  POSIX mandates that leap seconds not be counted; for compatibility
# with it, use "posix_only" or "posix_right".  Use POSIX time on systems with
# leap smearing; this can work better than unsmeared "right" time with
# applications that are not leap second aware, and is closer to unsmeared
# "right" time than unsmeared POSIX time is (e.g., 0.5 vs 1.0 s max error).

REDO=		posix_right

# Whether to put an "Expires" line in the leapseconds file.
# Use EXPIRES_LINE=1 to put the line in, 0 to omit it.
# The EXPIRES_LINE value matters only if REDO's value contains "right".
# If you change EXPIRES_LINE, remove the leapseconds file before running "make".
# zic's support for the Expires line was introduced in tzdb 2020a,
# and was modified in tzdb 2021b to generate version 4 TZif files.
# EXPIRES_LINE defaults to 0 for now so that the leapseconds file
# can be given to pre-2020a zic implementations and so that TZif files
# built by newer zic implementations can be read by pre-2021b libraries.
EXPIRES_LINE=	0

# To install data in text form that has all the information of the TZif data,
# (optionally incorporating leap second information), use
#	TZDATA_TEXT=	tzdata.zi leapseconds
# To install text data without leap second information (e.g., because
# REDO='posix_only'), use
#	TZDATA_TEXT=	tzdata.zi
# To avoid installing text data, use
#	TZDATA_TEXT=

TZDATA_TEXT=	leapseconds tzdata.zi

# For backward-compatibility links for old zone names, use
#	BACKWARD=	backward
# To omit these links, use
#	BACKWARD=

BACKWARD=	backward

# If you want out-of-scope and often-wrong data from the file 'backzone', use
#	PACKRATDATA=	backzone
# To omit this data, use
#	PACKRATDATA=

PACKRATDATA=

# The name of a locale using the UTF-8 encoding, used during self-tests.
# The tests are skipped if the name does not appear to work on this system.

UTF8_LOCALE=	en_US.utf8

# Non-default libraries needed to link.
LDLIBS=

# Add the following to the end of the "CFLAGS=" line as needed to override
# defaults specified in the source code.  "-DFOO" is equivalent to "-DFOO=1".
#  -DDEPRECATE_TWO_DIGIT_YEARS for optional runtime warnings about strftime
#	formats that generate only the last two digits of year numbers
#  -DEPOCH_LOCAL if the 'time' function returns local time not UT
#  -DEPOCH_OFFSET=N if the 'time' function returns a value N greater
#	than what POSIX specifies, assuming local time is UT.
#	For example, N is 252460800 on AmigaOS.
#  -DHAVE_DECL_ASCTIME_R=0 if <time.h> does not declare asctime_r
#  -DHAVE_DECL_ENVIRON if <unistd.h> declares 'environ'
#  -DHAVE_DIRECT_H if mkdir needs <direct.h> (MS-Windows)
#  -DHAVE_GENERIC=0 if _Generic does not work
#  -DHAVE_GETTEXT if 'gettext' works (e.g., GNU/Linux, FreeBSD, Solaris)
#  -DHAVE_INCOMPATIBLE_CTIME_R if your system's time.h declares
#	ctime_r and asctime_r incompatibly with the POSIX standard
#	(Solaris when _POSIX_PTHREAD_SEMANTICS is not defined).
#  -DHAVE_INTTYPES_H if you have a non-C99 compiler with <inttypes.h>
#  -DHAVE_LINK=0 if your system lacks a link function
#  -DHAVE_LOCALTIME_R=0 if your system lacks a localtime_r function
#  -DHAVE_LOCALTIME_RZ=0 if you do not want zdump to use localtime_rz
#	localtime_rz can make zdump significantly faster, but is nonstandard.
#  -DHAVE_MALLOC_ERRNO=0 if malloc etc. do not set errno on failure.
#  -DHAVE_POSIX_DECLS=0 if your system's include files do not declare
#	functions like 'link' or variables like 'tzname' required by POSIX
#  -DHAVE_SNPRINTF=0 if your system lacks the snprintf function
#  -DHAVE_STDBOOL_H if you have a non-C99 compiler with <stdbool.h>
#  -DHAVE_STDINT_H if you have a non-C99 compiler with <stdint.h>
#  -DHAVE_STRFTIME_L if <time.h> declares locale_t and strftime_l
#  -DHAVE_STRDUP=0 if your system lacks the strdup function
#  -DHAVE_STRTOLL=0 if your system lacks the strtoll function
#  -DHAVE_SYMLINK=0 if your system lacks the symlink function
#  -DHAVE_SYS_STAT_H=0 if your compiler lacks a <sys/stat.h>
#  -DHAVE_TZSET=0 if your system lacks a tzset function
#  -DHAVE_UNISTD_H=0 if your compiler lacks a <unistd.h>
#  -Dlocale_t=XXX if your system uses XXX instead of locale_t
#  -DRESERVE_STD_EXT_IDS if your platform reserves standard identifiers
#	with external linkage, e.g., applications cannot define 'localtime'.
#  -Dssize_t=long on hosts like MS-Windows that lack ssize_t
#  -DSUPPRESS_TZDIR to not prepend TZDIR to file names; this has
#	security implications and is not recommended for general use
#  -DTHREAD_SAFE to make localtime.c thread-safe, as POSIX requires;
#	not needed by the main-program tz code, which is single-threaded.
#	Append other compiler flags as needed, e.g., -pthread on GNU/Linux.
#  -Dtime_tz=\"T\" to use T as the time_t type, rather than the system time_t
#	This is intended for internal use only; it mangles external names.
#  -DTZ_DOMAIN=\"foo\" to use "foo" for gettext domain name; default is "tz"
#  -DTZ_DOMAINDIR=\"/path\" to use "/path" for gettext directory;
#	the default is system-supplied, typically "/usr/lib/locale"
#  -DTZDEFRULESTRING=\",date/time,date/time\" to default to the specified
#	DST transitions if the time zone files cannot be accessed
#  -DUNINIT_TRAP if reading uninitialized storage can cause problems
#	other than simply getting garbage data
#  -DUSE_LTZ=0 to build zdump with the system time zone library
#	Also set TZDOBJS=zdump.o and CHECK_TIME_T_ALTERNATIVES= below.
#  -DZIC_BLOAT_DEFAULT=\"fat\" to default zic's -b option to "fat", and
#	similarly for "slim".  Fat TZif files work around incompatibilities
#	and bugs in some TZif readers, notably readers that mishandle 64-bit
#	data in TZif files.  Slim TZif files are more efficient and do not
#	work around these incompatibilities and bugs.  If not given, the
#	default is "slim".
#  -DZIC_MAX_ABBR_LEN_WO_WARN=3
#	(or some other number) to set the maximum time zone abbreviation length
#	that zic will accept without a warning (the default is 6)
#  $(GCC_DEBUG_FLAGS) if you are using recent GCC and want lots of checking
# Select instrumentation via "make GCC_INSTRUMENT='whatever'".
GCC_INSTRUMENT = \
  -fsanitize=undefined -fsanitize-address-use-after-scope \
  -fsanitize-undefined-trap-on-error -fstack-protector
# Omit -fanalyzer from GCC_DEBUG_FLAGS, as it makes GCC too slow.

=== debian/changelog ===
rust-time-tz (2.0.0-1) unstable; urgency=medium

  * Package time-tz 2.0.0 from crates.io using debcargo 2.7.2

 -- kpcyrd <git@rxv.cc>  Wed, 05 Feb 2025 19:48:03 +0100

=== debian/control ===
Source: rust-time-tz
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-cfg-if-1+default-dev <!nocheck>,
 librust-parse-zoneinfo-0.3+default-dev <!nocheck>,
 librust-phf-0.11+default-dev (>= 0.11.1-~~) <!nocheck>,
 librust-phf-codegen-0.11+default-dev (>= 0.11.1-~~) <!nocheck>,
 librust-serde-1+default-dev (>= 1.0.136-~~) <!nocheck>,
 librust-serde-1+derive-dev (>= 1.0.136-~~) <!nocheck>,
 librust-serde-xml-rs-0.5+default-dev (>= 0.5.1-~~) <!nocheck>,
 librust-time-0.3+default-dev (>= 0.3.7-~~) <!nocheck>,
 librust-time-0.3+macros-dev (>= 0.3.7-~~) <!nocheck>,
 librust-time-0.3+wasm-bindgen-dev (>= 0.3.7-~~) <!nocheck>,
 librust-wasm-bindgen-0.2+default-dev (>= 0.2.87-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 kpcyrd <git@rxv.cc>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/time-tz]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/time-tz
Homepage: https://github.com/Yuri6037/time-tz
X-Cargo-Crate: time-tz
Rules-Requires-Root: no

Package: librust-time-tz-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-cfg-if-1+default-dev,
 librust-js-sys-0.3+default-dev (>= 0.3.64-~~),
 librust-nom-7+default-dev (>= 7.1.0-~~),
 librust-parse-zoneinfo-0.3+default-dev,
 librust-phf-0.11+default-dev (>= 0.11.1-~~),
 librust-phf-codegen-0.11+default-dev (>= 0.11.1-~~),
 librust-serde-1+default-dev (>= 1.0.136-~~),
 librust-serde-1+derive-dev (>= 1.0.136-~~),
 librust-serde-xml-rs-0.5+default-dev (>= 0.5.1-~~),
 librust-thiserror-1+default-dev (>= 1.0.30-~~),
 librust-time-0.3+default-dev (>= 0.3.7-~~),
 librust-time-0.3+macros-dev (>= 0.3.7-~~),
 librust-time-0.3+wasm-bindgen-dev (>= 0.3.7-~~),
 librust-wasm-bindgen-0.2+default-dev (>= 0.2.87-~~)
Provides:
 librust-time-tz+db-dev (= ${binary:Version}),
 librust-time-tz+default-dev (= ${binary:Version}),
 librust-time-tz+js-sys-dev (= ${binary:Version}),
 librust-time-tz+nom-dev (= ${binary:Version}),
 librust-time-tz+posix-tz-dev (= ${binary:Version}),
 librust-time-tz+system-dev (= ${binary:Version}),
 librust-time-tz+thiserror-dev (= ${binary:Version}),
 librust-time-tz-2-dev (= ${binary:Version}),
 librust-time-tz-2+db-dev (= ${binary:Version}),
 librust-time-tz-2+default-dev (= ${binary:Version}),
 librust-time-tz-2+js-sys-dev (= ${binary:Version}),
 librust-time-tz-2+nom-dev (= ${binary:Version}),
 librust-time-tz-2+posix-tz-dev (= ${binary:Version}),
 librust-time-tz-2+system-dev (= ${binary:Version}),
 librust-time-tz-2+thiserror-dev (= ${binary:Version}),
 librust-time-tz-2.0-dev (= ${binary:Version}),
 librust-time-tz-2.0+db-dev (= ${binary:Version}),
 librust-time-tz-2.0+default-dev (= ${binary:Version}),
 librust-time-tz-2.0+js-sys-dev (= ${binary:Version}),
 librust-time-tz-2.0+nom-dev (= ${binary:Version}),
 librust-time-tz-2.0+posix-tz-dev (= ${binary:Version}),
 librust-time-tz-2.0+system-dev (= ${binary:Version}),
 librust-time-tz-2.0+thiserror-dev (= ${binary:Version}),
 librust-time-tz-2.0.0-dev (= ${binary:Version}),
 librust-time-tz-2.0.0+db-dev (= ${binary:Version}),
 librust-time-tz-2.0.0+default-dev (= ${binary:Version}),
 librust-time-tz-2.0.0+js-sys-dev (= ${binary:Version}),
 librust-time-tz-2.0.0+nom-dev (= ${binary:Version}),
 librust-time-tz-2.0.0+posix-tz-dev (= ${binary:Version}),
 librust-time-tz-2.0.0+system-dev (= ${binary:Version}),
 librust-time-tz-2.0.0+thiserror-dev (= ${binary:Version})
Description: Tz database (IANA) for the time Rust crate - Rust source code
 Source code for Debianized Rust crate "time-tz"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test time-tz 2.0.0 --all-targets --all-features
Features: test-name=rust-time-tz:@
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test time-tz 2.0.0 --all-targets --no-default-features --features db
Features: test-name=librust-time-tz-dev:db
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test time-tz 2.0.0 --all-targets
Features: test-name=librust-time-tz-dev:default
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test time-tz 2.0.0 --all-targets --no-default-features --features js-sys
Features: test-name=librust-time-tz-dev:js-sys
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test time-tz 2.0.0 --all-targets --no-default-features --features nom
Features: test-name=librust-time-tz-dev:nom
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test time-tz 2.0.0 --all-targets --no-default-features --features posix-tz
Features: test-name=librust-time-tz-dev:posix-tz
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test time-tz 2.0.0 --all-targets --no-default-features --features system
Features: test-name=librust-time-tz-dev:system
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test time-tz 2.0.0 --all-targets --no-default-features --features thiserror
Features: test-name=librust-time-tz-dev:thiserror
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test time-tz 2.0.0 --all-targets --no-default-features
Features: test-name=librust-time-tz-dev:
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/time-tz-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/time-tz .*/crates/time-tz/@ANY_VERSION@/download
